
Foreman - Bug #30062

Unlocalized string at images table section on the page at Infrastructure -> Compute Resources page.

06/08/2020 06:02 PM - vijaykumar sawant

Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: Internationalization   

Target version: 2.5.0   

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases: 2.1.0

Bugzilla link: 1946166 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8482

  

Description

Description of problem: Unlocalized string found on the pagination section.

Version-Release number of selected component (if applicable): Version 2.1.0-develop

How reproducible: Always

Steps to Reproduce:

1. Login to Foreman 2.1 instance with Japanese language.

2. Navigate to Infrastructure -> Compute Resources.

3. Click on any element under the name column.

4. Switch to tab Images.

Actual results: Pagination strings are not localized correctly.

Expected results: All strings should be localized or marked as translated.

Additional info: Please see attached screenshot.

All strings except "filter..." are not translated. Can be probably translated using https://datatables.net/reference/option/language

Associated revisions

Revision 16b27a08 - 05/02/2021 10:05 AM - Maria Agaphontzev

Fixes #30062 - DataTable isnt fully translated

History

#1 - 06/09/2020 11:45 AM - vijaykumar sawant

- Found in Releases 2.1.0 added

- Found in Releases deleted (Nightly)

#2 - 11/18/2020 07:16 PM - vijaykumar sawant

- File TS2_Pagination-string-is-not-localized.png added

- File TS2_Pagination-string-is-not-localized.png added

Same issue reproducible with Foreman 2.3.0 RC1

[1] Go to Infrastructure > Smart Proxy, click on any item from the table and switch to tab "Logs"

[2] Go to Infrastructure > Compute Resources, click on any item from the table and switch to tab "Images"

#3 - 04/06/2021 07:09 AM - Maria Agaphontzev

- Subject changed from Unlocalized string at Pagination section on the page at Infrastructure -> Compute Resources page. to Unlocalized string at

images table section on the page at Infrastructure -> Compute Resources page.
https://datatables.net/reference/option/language


- Description updated

#4 - 04/30/2021 06:35 AM - Maria Agaphontzev

- Bugzilla link set to 1946166

#5 - 04/30/2021 08:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Maria Agaphontzev

- Pull request https://github.com/theforeman/foreman/pull/8482 added

#6 - 04/30/2021 08:44 AM - Amit Upadhye

- Target version set to 2.5.0

#7 - 05/02/2021 10:05 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#8 - 05/02/2021 11:01 AM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|16b27a08a2e632c5a9c8cbf8eb8c84cf45ec2770.
